# Uses of Enum Class
org.snpeff.snpEffect.VariantEffect.EffectImpact

Packages that use VariantEffect.EffectImpact
Package
Description
org.snpeff.interval.codonChange
org.snpeff.snpEffect
org.snpeff.vcf

## Uses of VariantEffect.EffectImpact in org.snpeff.interval.codonChange

Methods in org.snpeff.interval.codonChange with parameters of type VariantEffect.EffectImpact
Modifier and Type
Method
Description
`protected VariantEffect`
CodonChange.`effectNoCodon(Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact)`

## Uses of VariantEffect.EffectImpact in org.snpeff.snpEffect

Subclasses with type arguments of type VariantEffect.EffectImpact in org.snpeff.snpEffect
Modifier and Type
Class
Description
`static enum`
`VariantEffect.EffectImpact`
Fields in org.snpeff.snpEffect declared as VariantEffect.EffectImpact
Modifier and Type
Field
Description
`protected VariantEffect.EffectImpact`
VariantEffect.`effectImpact`
Fields in org.snpeff.snpEffect with type parameters of type VariantEffect.EffectImpact
Modifier and Type
Field
Description
`protected List<VariantEffect.EffectImpact>`
VariantEffect.`effectImpacts`
Methods in org.snpeff.snpEffect that return VariantEffect.EffectImpact
Modifier and Type
Method
Description
`VariantEffect.EffectImpact`
EffectType.`effectImpact()`
Return effect impact
`VariantEffect.EffectImpact`
VariantEffect.`getEffectImpact()`
Return impact of this effect
`VariantEffect.EffectImpact`
VariantEffects.`highestImpact(String trId)`
Find the highest impact effect for transcript 'trId'
`static VariantEffect.EffectImpact`
VariantEffect.EffectImpact.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VariantEffect.EffectImpact[]`
VariantEffect.EffectImpact.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.snpEffect with parameters of type VariantEffect.EffectImpact
Modifier and Type
Method
Description
`void`
VariantEffects.`add(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)`
Add an effect
`void`
VariantEffect.`addEffectImpact(VariantEffect.EffectImpact effectImpact)`
`boolean`
VariantEffect.`hasEffectImpact(VariantEffect.EffectImpact effectImpact)`
`void`
VariantEffect.`set(Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String message)`
`void`
VariantEffect.`setEffectImpact(VariantEffect.EffectImpact effectImpact)`
Constructors in org.snpeff.snpEffect with parameters of type VariantEffect.EffectImpact
Modifier
Constructor
Description
``
`VariantEffect(Variant variant, Marker marker, EffectType effectType, VariantEffect.EffectImpact effectImpact, String codonsOld, String codonsNew, int codonNum, int codonIndex, int cDnaPos)`

## Uses of VariantEffect.EffectImpact in org.snpeff.vcf

Methods in org.snpeff.vcf that return VariantEffect.EffectImpact
Modifier and Type
Method
Description
`VariantEffect.EffectImpact`
VcfEffect.`getImpact()`
Methods in org.snpeff.vcf with parameters of type VariantEffect.EffectImpact
Modifier and Type
Method
Description
`void`
VcfEffect.`setImpact(VariantEffect.EffectImpact impact)`